## brotli 0.2

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 0.2
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen.ooms@stat.ucla.edu", role = c("aut", "cre")),
    person("Google, Inc", role = "cph", comment = "Brotli C++ library")
  )
Description: A lossless compressed data format that compresses data using
    a combination of the LZ77 algorithm and Huffman coding, with efficiency
    comparable to the best currently available general-purpose compression
    methods. Brotli is similar in speed to deflate but offers more dense
    compression.
License: Apache License 2.0
URL: http://www.ietf.org/id/draft-alakuijala-brotli
        https://github.com/google/brotli
BugReports: http://github.com/jeroenooms/brotli/issues
VignetteBuilder: R.rsp
Suggests: R.rsp
NeedsCompilation: yes
Packaged: 2015-10-03 11:04:07 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Google, Inc [cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2015-10-03 19:21:41
