## brotli 0.3

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 0.3
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen.ooms@stat.ucla.edu", role = c("aut", "cre")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library")
  )
Description: A lossless compressed data format that uses a combination of the LZ77
    algorithm and Huffman coding. Brotli is similar in speed to deflate (gzip) but
    offers more dense compression.
License: Apache License 2.0
URL: http://www.ietf.org/id/draft-alakuijala-brotli
        https://github.com/google/brotli
BugReports: http://github.com/jeroenooms/brotli/issues
VignetteBuilder: R.rsp
Suggests: R.rsp
NeedsCompilation: yes
Packaged: 2015-10-04 15:07:31 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2015-10-06 09:18:29
