=== debian/changelog ===
brotli (0.3.0+dfsg-2) unstable; urgency=medium

  * d/copyright: update to MIT
  * move brotli to the "utils" section (Closes: #814704)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 15 Feb 2016 09:53:52 +0100

brotli (0.3.0+dfsg-1) unstable; urgency=medium

  * d/gbp.conf: updated filtered files
  * d/patches: drop patches merged upstream
  * Imported Upstream version 0.3.0+dfsg

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 05 Feb 2016 22:10:56 +0100

brotli (0.2.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #808062)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 16 Dec 2015 10:34:42 +0100
