## brotli 0.4.0+dfsg

=== debian/changelog ===
brotli (0.4.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0+dfsg
  * Bumped Standards-Version to 3.9.8 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 18 Jun 2016 15:22:06 +0200

brotli (0.3.0+dfsg-3) unstable; urgency=medium

  [ Raúl Benencia ]
  * Fixes for CVE-2016-1968 and CVE-2016-1624 (Closes: #817233)

  [ Tomasz Buchert ]
  * Bump Standards-Version to 3.9.7 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Mar 2016 09:00:55 +0200
