## brotli 0.5.2+dfsg

=== debian/changelog ===
brotli (0.5.2+dfsg-2) unstable; urgency=medium

  * Make object list deterministic (Closes: #845780)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 18 Dec 2016 11:37:54 +0100

brotli (0.5.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.5.2+dfsg (Closes: #842016)
  * Update debian/rules to use new build system

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 25 Oct 2016 23:08:26 +0200
