=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3,
                python3-dev,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/google/brotli
 Vcs-Git: git://anonscm.debian.org/collab-maint/brotli.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/brotli.git
