## brotli 0.6.0

=== debian/changelog ===
brotli (0.6.0-1build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:50:44 +0000

brotli (0.6.0-1) unstable; urgency=medium

  * d/*: debhelper 10 and uscan 4
  * New upstream version 0.6.0

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 23 Apr 2017 19:54:21 +0200
