## brotli 1.0

=== DESCRIPTION ===
Package: brotli
Type: Package
Title: A Compression Format Optimized for the Web
Version: 1.0
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Google, Inc", role = c("aut","cph"), comment = "Brotli C++ library")
  )
Description: A lossless compressed data format that uses a combination of the
    LZ77 algorithm and Huffman coding. Brotli is similar in speed to deflate (gzip)
    but offers more dense compression.
License: MIT + file LICENSE
URL: https://tools.ietf.org/html/rfc7932
        https://github.com/google/brotli#readme
BugReports: http://github.com/jeroen/brotli/issues
VignetteBuilder: knitr, R.rsp
Suggests: knitr, R.rsp, microbenchmark, rmarkdown, ggplot2
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-03-18 18:36:36 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Google, Inc [aut, cph] (Brotli C++ library)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-03-18 22:10:36 UTC
