=== debian/changelog ===
brotli (1.0.3-1ubuntu1) bionic; urgency=medium

  * Apply pull requests #651, #656 to fix alignment issues on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Apr 2018 14:42:31 +0200

brotli (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Drop obsolete patches

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 06 Mar 2018 00:00:39 +0100

brotli (1.0.2-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Use dh_missing --fail-missing (Closes: #888950)

  [ Tomasz Buchert ]
  * d/copyright: remove appveyor path (Closes: #888947)
  * Bump debhelper compat to 11

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 31 Jan 2018 23:52:35 +0100

brotli (1.0.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 07 Dec 2017 09:51:13 +0100

brotli (1.0.2-1~exp0) experimental; urgency=medium

  * New upstream version 1.0.2
  * Updated std-ver to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 Dec 2017 11:57:59 +0100

brotli (1.0.0-1~exp0) experimental; urgency=medium

  * New upstream version 1.0.0
  * d/*: migrate 0.6.0 to 1.0.0
  * d/symbols: fix symbols file (Closes: #870831)
  * d/patches: refresh
  * Upload to experimental

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 22 Sep 2017 00:18:40 +0200

brotli (0.6.0-2~exp0) experimental; urgency=medium

  [Tomasz Buchert]
  * d/gbp.conf: remove obsolete gbp.conf
  * d/control: add Ondřej to Uploaders
  * debian: provide shared libs pkgs
  * d/control: bump Standards-Version to 4 (no changes needed)

  [Ondřej Surý]
  * Use SOVERSION in libbrotli package name and add symbols file
  * Rewrite smoke_test.sh as autopkgtests
  * Upload to experimental
  * Add missing cmake to Build-Depends
  * Fix libbrotli0.6.0.symbols to refer to correct package
  * Add lintian override for amalgated libbrotli0.6.0 package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 Jun 2017 14:23:39 +0200
