=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Ondřej Surý <ondrej@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 11),
                dh-python,
                python,
                python-dev,
@@ -10,10 +12,10 @@
                python3,
                python3-dev,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/google/brotli
-Vcs-Git: git://anonscm.debian.org/collab-maint/brotli.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/brotli.git
+Vcs-Git: https://salsa.debian.org/debian/brotli.git
+Vcs-Browser: https://salsa.debian.org/debian/brotli
 
 Package: python-brotli
 Architecture: any
@@ -54,3 +56,33 @@
  deflate but offers more dense compression.
  .
  This package installs a command line utility.
+
+Package: libbrotli-dev
+Section: libdevel
+Architecture: any
+Depends: libbrotli1 (= ${binary:Version}), ${misc:Depends}
+Description: library implementing brotli encoder and decoder (development files)
+ Brotli is a generic-purpose lossless compression algorithm
+ that compresses data using a combination of a modern variant
+ of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
+ with a compression ratio comparable to the best currently available
+ general-purpose compression methods. It is similar in speed with
+ deflate but offers more dense compression.
+ .
+ This package installs development files.
+
+Package: libbrotli1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library implementing brotli encoder and decoder (shared libraries)
+ Brotli is a generic-purpose lossless compression algorithm
+ that compresses data using a combination of a modern variant
+ of the LZ77 algorithm, Huffman coding and 2nd order context modeling,
+ with a compression ratio comparable to the best currently available
+ general-purpose compression methods. It is similar in speed with
+ deflate but offers more dense compression.
+ .
+ This package installs shared libraries.
