=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/brotli-$1\.tar\.gz/ \
  https://github.com/google/brotli/tags .*/v?(\d\S*)\.tar\.gz
