## brotli 1.0.5

=== debian/changelog ===
brotli (1.0.5-2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Nov 2018 13:55:12 -0800

brotli (1.0.5-2~bpo9+1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 15 Oct 2018 14:22:21 -0700

brotli (1.0.5-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Aron Xu <aron@debian.org>  Sat, 04 Aug 2018 17:41:29 +0000

brotli (1.0.5-2) unstable; urgency=medium

  * depend on python3-all-dev (Closes: #903923)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 02 Aug 2018 15:35:52 +0800

brotli (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Jul 2018 22:36:19 +0200

brotli (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 28 Apr 2018 16:01:50 +0200
