=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: brotli
 Section: python
 Priority: optional
-Maintainer: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper (>= 10),
                dh-python,
                python,
                python-dev,
                python-setuptools,
                python3,
-               python3-dev,
+               python3-all-dev,
                python3-setuptools
 Standards-Version: 4.1.1
 Homepage: https://github.com/google/brotli
