## brotli 1.0.6

=== debian/changelog ===
brotli (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Sep 2018 10:16:39 +0200
