=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: brotli
+Maintainer: Tomasz Buchert <tomasz@debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-python,
                python,
                python-dev,
@@ -13,10 +12,10 @@
                python3,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/brotli
+Vcs-Git: https://salsa.debian.org/debian/brotli.git
 Homepage: https://github.com/google/brotli
-Vcs-Git: https://salsa.debian.org/debian/brotli.git
-Vcs-Browser: https://salsa.debian.org/debian/brotli
 
 Package: python-brotli
 Architecture: any
@@ -59,8 +58,8 @@
  This package installs a command line utility.
 
 Package: libbrotli-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libbrotli1 (= ${binary:Version}), ${misc:Depends}
 Description: library implementing brotli encoder and decoder (development files)
  Brotli is a generic-purpose lossless compression algorithm
@@ -73,11 +72,11 @@
  This package installs development files.
 
 Package: libbrotli1
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library implementing brotli encoder and decoder (shared libraries)
  Brotli is a generic-purpose lossless compression algorithm
  that compresses data using a combination of a modern variant
