## brotli 1.0.7

=== debian/changelog ===
brotli (1.0.7-2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to debhelper 10 compat.
  * debian/rules: 
    - change dh_missing override to dh_install for debhelper 10.
    - disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 24 Mar 2019 13:15:33 -0700

brotli (1.0.7-2) unstable; urgency=medium

  * Refresh packaging (std-ver, compat=12)

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 07 Jan 2019 23:11:10 +0100

brotli (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Oct 2018 13:08:16 +0200
