=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = brotli

%:
	dh $@ --buildsystem=pybuild --with=python2,python3

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=cmake

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --buildsystem=cmake

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	dh_install

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym
