## brotli 1.0.7.1

=== debian/changelog ===
brotli (1.0.7.1-1+eagle) unstable; urgency=medium

  * update

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 17 Dec 2020 14:32:35 +0800

brotli (1.0.7-2+deb10u1) buster-security; urgency=medium

  * CVE-2020-8927

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 25 Nov 2020 22:33:28 +0100
