=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
-#               debhelper-compat (= 12),
+               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                python,
                python-dev,
